MediaWiki 1.27

From MediaWiki.org
Jump to navigation Jump to search
This page is a translated version of the page MediaWiki 1.27 and the translation is 91% complete.

Outdated translations are marked like this.
Other languages:
Bahasa Indonesia • ‎Deutsch • ‎English • ‎Tiếng Việt • ‎dansk • ‎español • ‎français • ‎italiano • ‎magyar • ‎polski • ‎português • ‎português do Brasil • ‎čeština • ‎русский • ‎中文 • ‎日本語 • ‎한국어

MediaWiki 1.27 ist ein verbliebener Release von MediaWiki.

Siehe die RELEASE NOTES-Datei für eine vollständige Liste der Änderungen. Sie wurde bei den Wikis der Wikimedia Foundation durch inkrementelle Zweige "1.27.0-wmf.NN" vom 29. September 2015 bis zum März 2016 eingesetzt (sieh dir die Details für jeden Zweig an). Die stabile Version 1.27.0 wurde am 28. Juni 2016 veröffentlicht.[1] Eine Long Term Support-Version (LTS) wurde drei Jahre lang bis Juni 2019 unterstützt. Lade die neuesten Versionen von latest releases herunter oder lese den REL1_27 in Git, um dieser Version zu folgen.

Neue Funktionen

InstantCommons: vereinfacht und performanter

InstantCommons werden nun wirklich vom Anfang an funktionieren, solange der Account sich mit upload.wikimedia.org verbinden kann: Vorschaubilder werden von dieser Domain bereitgestellt, anstatt lokales Generieren zu erfordern (gerrit:251556).

Mehr Übersetzung der Dokumentation

Funktioniert weiterhin beim Migration zur Extension Übersetzung und wird jetzt von über 3.000 Seiten verwendet. Die Größe des Textes an Übersetzungen wurden um mehrere Megabytes erhöht. Vielen Dank an unsere unermüdlichen Übersetzungsadministratoren und Übersetzer, aber auch an die Google-Code-in-2015-Schüler, besonders IoannisKydonis, der tausende Übersetzungen migriert hat, daunter das gesamte Manual:FAQ.

Hinweise zur Aktualisierung zur Administration von MediaWiki

Schwerwiegende Änderungen

  • MediaWiki benötigt nun wenigstens PHP 5.5.9. Das entspricht HHVM 3.1.[2]
  • The mbstring PHP extension is now required.
  • Wenn sowohl openssl und mcrypt beide nicht als PHP-Erweiterungen zur Verfügung stehen, wird der sichere Sitzungsspeicher (zum Einloggen verwendet) eine Ausnahme erzeugen. Diese Ausnahme kann umgangen, indem $wgSessionInsecureSecrets = true; gesetzt wird. Beachte, dass dies nicht empfholen ist, da es unsicher ist. Du solltest es nicht verwenden.
  • Nach dem Durchführen des Upgrade haben viele Benutzer Probleme mit Seiten, die nicht in Kategorien erscheinen, obwohl sie korrekt kategorisiert sind. In vielen Fällen liegt hier ein Problem mit der Job queue vor. Das Problem, das Leute gewöhnlich wahrnehmen, ist, dass Seiten nicht direkt (tatsächlich: nicht sofort) in ihren Kategorien erscheinen. Dies kann unterschiedliche Gründe haben: Es ist möglich, dass die Job queue nicht mehr korrekt arbeitet. Lies bitte $wgRunJobsAsync und folge den Hinweisen dort, um das Problem zu lösen.
  • Die Erweiterung RandomRootPage wurde in den Kern von MediaWiki zusammengeführt. Wenn du sie installiert hast, solltest du sie deinstallieren.
  • Die Erweiterung ApiSandbox wurde in den Kern von MediaWiki zusammengeführt. Wenn du sie installiert hast, solltest du sie deinstallieren.
  • $wgSessionsInObjectCache is deprecated and always true, and thus sessions are no longer stored using PHP's session handling (e.g. session.save_path). If you see issues with loss of session data while logging in, ensure you have a persistent shared cache configured for session storage in $wgSessionCacheType .
  • AuthManager. Wenn du eine neue Erweiterung schreibst, solltest du in jedem Fall Manual:SessionManager and AuthManager folgen und dann zu 1.27 upgraden, um sie zu verwenden. Wenn du sichergehen willst, dass eine existierende Erweiterung mit 1.27 kompatibel ist, siehe die Update-Tipps.

Inkompatible Erweiterungen

Beachte, dass dieser neue Zweig schwerwiegende Änderungen für einige Erweiterungen mit sich bringt, da viele noch nicht aktualisiert sind. Schau die offene Unteraufgaben von task T110291 für eine Liste der Erweiterungen an, für die identifiziert wurde, dass sie Aktualisierungen benötigen. Wenn du eine der aufgelisteten Erweiterungen verwendest, solltest du testen, dass sie immer noch in deiner Umgebung fehlerfrei funktioniert, bevor du deine produktiv eingesetzten Wikis aktualisierst. Ausbesserungen, um diese Erweiterungen zu aktualisieren, sind willkommen.

Ablaufplan der Veröffentlichung

Die Veröffentlichungszeitpunkte für die Updates für 1.27 waren die Folgenden:

Version Datum
1.27.0 2016-06-28[1]
1.27.1 2016-08-22[3]
1.27.2 2017-04-06[4]
1.27.3 2017-04-30[5]
1.27.4 2017-11-14[6]
1.27.5 2018-09-20[7]
1.27.6 2019-06-06[8]
1.27.7 2019-06-07[9]

Unterseiten